0

Even if I am using Mesa 12.0.3 on my Ubuntu 16.10 OpenGL core profile version is 3.3. I have tried Padoka and Oibaf PPAs but it doesn't change core profile version. I need minimum 4.1 to play some games.

$ lspci -nn | grep VGA

01:00.0 VGA compatible controller [0300]: Advanced Micro Devices, Inc. [AMD/ATI] Madison [Mobility Radeon HD 5730 / 6570M] [1002:68c0]

$ glxinfo | grep "OpenGL"

OpenGL vendor string: X.Org
OpenGL renderer string: Gallium 0.4 on AMD REDWOOD (DRM 2.46.0 / 4.8.0-27-generic, LLVM 3.8.1)
OpenGL core profile version string: 3.3 (Core Profile) Mesa 12.0.3
OpenGL core profile shading language version string: 3.30
OpenGL core profile context flags: (none)
OpenGL core profile profile mask: core profile
OpenGL core profile extensions:
OpenGL version string: 3.0 Mesa 12.0.3
OpenGL shading language version string: 1.30
OpenGL context flags: (none)
OpenGL extensions:
OpenGL ES profile version string: OpenGL ES 3.0 Mesa 12.0.3
OpenGL ES profile shading language version string: OpenGL ES GLSL ES 3.00
OpenGL ES profile extensions:

From glxinfo:

Extended renderer info (GLX_MESA_query_renderer):
Vendor: X.Org (0x1002)
Device: AMD REDWOOD (DRM 2.46.0 / 4.8.0-27-generic, LLVM 3.8.1) (0x68c0)
Version: 12.0.3
Accelerated: yes
Video memory: 1024MB
Unified memory: no
Preferred profile: core (0x1)
Max core profile version: 3.3
Max compat profile version: 3.0
Max GLES1 profile version: 1.1
Max GLES[23] profile version: 3.0
0

I have found my answer here: https://www.x.org/wiki/RadeonFeature/#note_19

OpenGL 4.1 is currently only supported on CYPRESS, CAYMAN and ARUBA. All other chips are currently limited to OpenGL 3.3

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.